package model

import (
	"time"

	"go.mongodb.org/mongo-driver/bson/primitive"
)

// 工序管理 用于选择模板
type Process struct {
	Id    primitive.ObjectID `bson:"_id,omitempty" json:"_id"`
	Name  string             `bson:"name,omitempty" json:"name"`
	Unit  string             `bson:"unit,omitempty" json:"unit"`
	Norm  string             `bson:"norm,omitempty" json:"norm"`
	Price float64            `bson:"price,omitempty" json:"price"`
	// 分类
	Category string `bson:"category,omitempty" json:"category"`

	// 单个工艺备注
	Remark     string    `bson:"remark,omitempty" json:"remark"`
	CreateTime time.Time `bson:"createTime,omitempty" json:"createTime"`
	UpdateTime time.Time `bson:"updateTime,omitempty" json:"updateTime"`
}

// 算到采购单里面
type ProcessBill struct {
	//名字
	Name     string `bson:"name,omitempty" json:"name"`
	Supplier string `bson:"supplier,omitempty" json:"supplier"`

	//名字
	Type string `bson:"type,omitempty" json:"type"`
	//规格(质量要求)
	Norm string `bson:"norm,omitempty" json:"norm"`
	//数量
	Count int `bson:"count,omitempty" json:"count"`
	// 下单数量
	OrderCount int `bson:"orderCount,omitempty" json:"orderCount"`
	// 单位
	Unit string `bson:"unit,omitempty" json:"unit"`
	//单价
	Price float64 `bson:"price,omitempty" json:"price"`
	// 金额
	//备注
	Remark string `bson:"remark,omitempty" json:"remark"`

	//交货时间
	DeliveryTime time.Time `bson:"deliveryTime,omitempty" json:"deliveryTime"`

	//确认收货数量
	ConfirmCount int `bson:"confirmCount,omitempty" json:"confirmCount"`
}

type ProcessData struct {
	Id string `bson:"id,omitempty" json:"id"`
	//所有工艺
	ProcessInfo *Process         `bson:"processInfo,omitempty" json:"processInfo"`
	Supplier    *SupplierPriceVo `bson:"supplier,omitempty" json:"supplier"`
	BillId      string           `bson:"billId,omitempty" json:"billId"`
	Remark      string           `bson:"remark,omitempty" json:"remark"` //备注

	// 实际金额
	RealPrice float64 `bson:"realPrice,omitempty" json:"realPrice"`
	// 下单数量
	OrderCount int `bson:"orderCount,omitempty" json:"orderCount"`
	//确认收货数量
	ConfirmCount int `bson:"confirmCount,omitempty" json:"confirmCount"`
}
